class awsfirewall::pre {
  Firewall {
    require => undef,
  }

  firewallchain { 'INPUT:filter:IPv4':
    policy  => 'accept',
    require => undef,
  }

  # Default firewall rules
  firewall { '000 accept related established rules':
    ensure => present,
    proto  => 'all',
    state  => ['RELATED', 'ESTABLISHED'],
    action => 'accept',
  }->
  firewall { '001 accept all to lo interface':
    ensure  => present,
    proto   => 'all',
    iniface => 'lo',
    action  => 'accept',
  }->
  firewall { '002 accept all icmp':
    ensure => present,
    proto  => 'icmp',
    action => 'accept',
  }->
  firewall { '003 accept ssh':
    ensure => present,
    action => 'accept',
    state  => 'NEW',
    proto  => 'tcp',
    dport  => 22,
  }
}
